extends State
class_name BeeSleeping

@onready var bee = get_parent().get_parent() as Bee # I think this is bad but I dont care it works

var time_at_patch : float = 0.0

func enter(_msg := {}):
	Log.pr("BuzzzZZZzzzZZZZzzz (Sleeping)!")
	#animator.play("Idle")

func update(_delta : float):	

	# If there is a dancing bee in range of the hive then 
	# we have a chance to wake up the bee...

	pass